## EmpathyIdle

EmpathyIdle

## Synopsis

                        EmpathyIdle;
    EmpathyIdle *       empathy_idle_dup_singleton          (void);
    McPresence          empathy_idle_get_state              (EmpathyIdle *idle);
    void                empathy_idle_set_state              (EmpathyIdle *idle,
                                                             McPresence state);
    const gchar *       empathy_idle_get_status             (EmpathyIdle *idle);
    void                empathy_idle_set_status             (EmpathyIdle *idle,
                                                             const gchar *status);
    McPresence          empathy_idle_get_flash_state        (EmpathyIdle *idle);
    void                empathy_idle_set_flash_state        (EmpathyIdle *idle,
                                                             McPresence state);
    void                empathy_idle_set_presence           (EmpathyIdle *idle,
                                                             McPresence state,
                                                             const gchar *status);
    gboolean            empathy_idle_get_auto_away          (EmpathyIdle *idle);
    void                empathy_idle_set_auto_away          (EmpathyIdle *idle,
                                                             gboolean auto_away);
    gboolean            empathy_idle_get_use_nm             (EmpathyIdle *idle);
    void                empathy_idle_set_use_nm             (EmpathyIdle *idle,
                                                             gboolean use_nm);

## Object Hierarchy

      GObject
       +----EmpathyIdle

## Properties

      "auto-away"                gboolean              : Read / Write
      "flash-state"              McPresence            : Read / Write
      "state"                    McPresence            : Read / Write
      "status"                   gchar*                : Read / Write
      "use-nm"                   gboolean              : Read / Write

## Description

## Details

### EmpathyIdle

    typedef struct _EmpathyIdle EmpathyIdle;

### empathy_idle_dup_singleton ()

    EmpathyIdle *       empathy_idle_dup_singleton          (void);

Returns : |

### empathy_idle_get_state ()

    McPresence          empathy_idle_get_state              (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_state ()

    void                empathy_idle_set_state              (EmpathyIdle *idle,
                                                             McPresence state);

`idle` : |
`state` : |

### empathy_idle_get_status ()

    const gchar *       empathy_idle_get_status             (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_status ()

    void                empathy_idle_set_status             (EmpathyIdle *idle,
                                                             const gchar *status);

`idle` : |
`status` : |

### empathy_idle_get_flash_state ()

    McPresence          empathy_idle_get_flash_state        (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_flash_state ()

    void                empathy_idle_set_flash_state        (EmpathyIdle *idle,
                                                             McPresence state);

`idle` : |
`state` : |

### empathy_idle_set_presence ()

    void                empathy_idle_set_presence           (EmpathyIdle *idle,
                                                             McPresence state,
                                                             const gchar *status);

`idle` : |
`state` : |
`status` : |

### empathy_idle_get_auto_away ()

    gboolean            empathy_idle_get_auto_away          (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_auto_away ()

    void                empathy_idle_set_auto_away          (EmpathyIdle *idle,
                                                             gboolean auto_away);

`idle` : |
`auto_away` : |

### empathy_idle_get_use_nm ()

    gboolean            empathy_idle_get_use_nm             (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_use_nm ()

    void                empathy_idle_set_use_nm             (EmpathyIdle *idle,
                                                             gboolean use_nm);

`idle` : |
`use_nm` : |

## Property Details

### The `"auto-away"` property

      "auto-away"                gboolean              : Read / Write

Should it set presence to away if inactive.

Default value: FALSE

### The `"flash-state"` property

      "flash-state"              McPresence            : Read / Write

flash-state.

Default value: MC_PRESENCE_UNSET

### The `"state"` property

      "state"                    McPresence            : Read / Write

state.

Default value: MC_PRESENCE_AVAILABLE

### The `"status"` property

      "status"                   gchar*                : Read / Write

status.

Default value: NULL

### The `"use-nm"` property

      "use-nm"                   gboolean              : Read / Write

Set presence according to Network Manager.

Default value: FALSE